"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDialogStyles = void 0;
var core_1 = require("@material-ui/core");
exports.useDialogStyles = core_1.makeStyles(function (theme) {
    var _a, _b, _c, _d, _e;
    return core_1.createStyles({
        dialogTitle: (_a = {
                padding: theme.spacing(4) + "px " + theme.spacing(3) + "px 0 " + theme.spacing(3) + "px"
            },
            _a[theme.breakpoints.down('xs')] = {
                padding: theme.spacing(2) + "px " + theme.spacing(2) + "px 0 " + theme.spacing(2) + "px",
            },
            _a),
        dialogContent: (_b = {
                flex: '1 1 0px',
                overflow: 'auto',
                display: 'flex',
                flexDirection: 'column',
                padding: theme.spacing(2) + "px " + theme.spacing(3) + "px"
            },
            _b[theme.breakpoints.down('xs')] = {
                padding: theme.spacing(2) + "px " + theme.spacing(2) + "px " + theme.spacing(3) + "px " + theme.spacing(2) + "px",
            },
            _b),
        dialogActions: (_c = {
                padding: theme.spacing(3),
                justifyContent: 'flex-end'
            },
            _c[theme.breakpoints.down('xs')] = {
                padding: theme.spacing(2),
            },
            _c),
        dialogButton: {
            width: 100,
            '&$fullWidth': {
                width: '100%',
            },
        },
        fullDivider: (_d = {
                margin: theme.spacing(5) + "px -" + theme.spacing(3) + "px " + theme.spacing(4) + "px"
            },
            _d[theme.breakpoints.down('xs')] = {
                margin: theme.spacing(5) + "px -" + theme.spacing(2) + "px " + theme.spacing(4) + "px",
            },
            _d),
        stepper: {
            background: 'transparent',
            width: '100%',
            padding: 0,
        },
        stepperDot: {
            margin: "0px " + theme.spacing(0.5) + "px",
        },
        textField: (_e = {
                marginTop: theme.spacing(4)
            },
            _e[theme.breakpoints.down('xs')] = {
                marginTop: theme.spacing(3),
            },
            _e),
        fullWidth: {},
    });
});
